App\Library\Amazon\Classes\Range:
    xml_root_name: Range
    properties:
        airflowDisplacement:
            expose: true
            access_type: public_method
            serialized_name: AirflowDisplacement
            accessor:
                getter: getAirflowDisplacement
                setter: setAirflowDisplacement
            type: App\Library\Amazon\Classes\AirflowDisplacementDimensionType
        burnerType:
            expose: true
            access_type: public_method
            serialized_name: BurnerType
            accessor:
                getter: getBurnerType
                setter: setBurnerType
            type: string
        drawerType:
            expose: true
            access_type: public_method
            serialized_name: DrawerType
            accessor:
                getter: getDrawerType
                setter: setDrawerType
            xml_list:
                inline: true
                entry_name: DrawerType
            type: array<string>
        fuelType:
            expose: true
            access_type: public_method
            serialized_name: FuelType
            accessor:
                getter: getFuelType
                setter: setFuelType
            type: string
        heatingElements:
            expose: true
            access_type: public_method
            serialized_name: HeatingElements
            accessor:
                getter: getHeatingElements
                setter: setHeatingElements
            type: integer
        heatingMode:
            expose: true
            access_type: public_method
            serialized_name: HeatingMode
            accessor:
                getter: getHeatingMode
                setter: setHeatingMode
            type: string
        maxEnergyOutput:
            expose: true
            access_type: public_method
            serialized_name: MaxEnergyOutput
            accessor:
                getter: getMaxEnergyOutput
                setter: setMaxEnergyOutput
            type: App\Library\Amazon\Classes\MaxEnergyOutputDimensionType
        racks:
            expose: true
            access_type: public_method
            serialized_name: Racks
            accessor:
                getter: getRacks
                setter: setRacks
            type: integer
        topStyle:
            expose: true
            access_type: public_method
            serialized_name: TopStyle
            accessor:
                getter: getTopStyle
                setter: setTopStyle
            type: string
